# Class FileTxnSnapLog.DatadirException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.zookeeper.server.persistence.FileTxnSnapLog.DatadirException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FileTxnSnapLog.LogDirContentCheckException, FileTxnSnapLog.SnapDirContentCheckException`

Enclosing class:
  `FileTxnSnapLog`

public static class FileTxnSnapLog.DatadirException extends IOException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DatadirException(String msg)`
`DatadirException(String msg, Exception e)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DatadirException

public DatadirException(String msg)

### DatadirException

public DatadirException(String msg, Exception e)